# ifndef EvaluationTestCase_h
# define EvaluationTestCase_h
#include "TestHeader.h"
# include "Game/Evaluation.h"
class EvaluationTestCase:
  public TestCase
{
public:
  EvaluationTestCase (std::string name="") : TestCase (name) {}
  static Test		*suite ();
protected:
  void initializing();
  void pawnCapture();
  void knightCapture();
  void bishopCapture();
  void rookCapture();
  void queenCapture();
  void pawnValue();
  void positional();
  void promotion();
  void promotingCapture();
  void twoGames();
};
#endif
